#### D.13.2.19 faceContaining

Procedure from library `gfan.lib` (see gfan_lib).

Usage:
  faceContaining(c,w); c cone, w intvec/bigintmat

Assume:
  containsInSupport(c,w)==1

Return:
  cone, the face of c containing w in its relative interior

Example:

    LIB "gfan.lib";
    intmat M[2][2]=
    1,0,
    0,1;
    cone c=coneViaPoints(M);
    faceContaining(c,intvec(1,0));
    ==> AMBIENT_DIM
    ==> 2
    ==> INEQUALITIES
    ==> 1,0
    ==> LINEAR_SPAN
    ==> 0,1
    ==>
    faceContaining(c,intvec(0,1));
    ==> AMBIENT_DIM
    ==> 2
    ==> INEQUALITIES
    ==> 0,1
    ==> LINEAR_SPAN
    ==> 1,0
    ==>
    faceContaining(c,intvec(1,1));
    ==> AMBIENT_DIM
    ==> 2
    ==> INEQUALITIES
    ==> 0,1,
    ==> 1,0
    ==> LINEAR_SPAN
    ==>
    ==>
    faceContaining(c,intvec(0,0));
    ==> AMBIENT_DIM
    ==> 2
    ==> INEQUALITIES
    ==>
    ==> LINEAR_SPAN
    ==> 1,0,
    ==> 0,1
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.